<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/**
 * Include TypoScript for tt_content.slickitem: constants
 */
$slickItemTypoScriptConstants = trim( '
plugin.slick {
  item {
    view {
      templateRootPath = EXT:slick/Resources/Private/Templates/
      partialRootPath = EXT:slick/Resources/Private/Partials/
      layoutRootPath = EXT:slick/Resources/Private/Layouts/
    }
  }
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'constants', $slickItemTypoScriptConstants
);


/**
 * Include TypoScript for tt_content.slickitem: setup
 */
$slickItemTypoScriptSetup = trim( '
tt_content.slickitem = FLUIDTEMPLATE
tt_content.slickitem {
  file = {$plugin.slick.item.view.templateRootPath}Item/Render.html
  partialRootPath = {$plugin.slick.item.view.partialRootPath}
  layoutRootPath = {$plugin.slick.item.view.layoutRootPath}
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'setup', $slickItemTypoScriptSetup, 43
);

/**
 * Include TypoScript for tt_content.slickcarousel: constants
 */
$slickCarouselTypoScriptConstants = trim( '
plugin.slick {
  carousel {
    css {
      class = single-item
      file {
        library   = EXT:slick/Resources/Public/JavaScript/Slick/slick.css
        extension = EXT:slick/Resources/Public/CSS/extension.css
      }
    }
    javascript {
      file  = EXT:slick/Resources/Public/JavaScript/Slick/slick.js
      properties {
        arrows          = true
        autoplay        = true
        autoplayspeed   = 3000
        dots            = true
        infinite        = true
        slidesToShow    = 1
        slidesToScroll  = 1
        speed           = 3000
        vertical        = false
      }
    }
  }
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'constants', $slickCarouselTypoScriptConstants
);


/**
 * Include TypoScript for tt_content.slickcarousel: setup
 */
$slickCarouselTypoScriptSetup = trim( '
tt_content.slickcarousel < tt_content.shortcut
tt_content.slickcarousel {
  wrap = <div class="{$plugin.slick.carousel.css.class}">|</div>
}
page {
  includeCSS {
    slickLibrary    = {$plugin.slick.carousel.css.file.library}
    slickExtension  = {$plugin.slick.carousel.css.file.extension}
  }
  includeJSFooterlibs {
    slick = {$plugin.slick.carousel.javascript.file}
  }
  jsFooterInline {
    12456 = TEXT
    12456.value (
      $(document).ready(function(){
        $(\'.{$plugin.slick.carousel.css.class}\').slick({
          arrows          : {$plugin.slick.carousel.javascript.properties.arrows},
          autoplay        : {$plugin.slick.carousel.javascript.properties.autoplay},
          autoplayspeed   : {$plugin.slick.carousel.javascript.properties.autoplayspeed},
          dots            : {$plugin.slick.carousel.javascript.properties.dots},
          infinite        : {$plugin.slick.carousel.javascript.properties.infinite},
          slidesToShow    : {$plugin.slick.carousel.javascript.properties.slidesToShow},
          slidesToScroll  : {$plugin.slick.carousel.javascript.properties.slidesToScroll},
          speed           : {$plugin.slick.carousel.javascript.properties.speed},
          vertical        : {$plugin.slick.carousel.javascript.properties.vertical}
        });
      });
    )
  }
}
' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
        $_EXTKEY, 'setup', $slickCarouselTypoScriptSetup, 43
);
?>